SystemOrganization addCategory: #'A4BP-WSDL-core'!
SystemOrganization addCategory: 'A4BP-WSDL-core-model'!
SystemOrganization addCategory: 'A4BP-WSDL-core-model-a4bp'!
SystemOrganization addCategory: 'A4BP-WSDL-core-parser'!

A4BPParserTagsXMLRef subclass: #BPParserWSDLTagsXMLRef
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-WSDL-core-parser'!

!BPParserWSDLTagsXMLRef commentStamp: '<historical>' prior: 0!
get  a tag a string!

!BPParserWSDLTagsXMLRef class methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 7/28/2014 00:12'!
fillTags
	tags addAll: self lstOfWSDLTagClass.
	^ tags! !

!BPParserWSDLTagsXMLRef class methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 4/22/2015 09:17'!
lstOfWSDLTagClass
	|lstItems|
	lstItems := Dictionary new.
	
	self fillItems: lstItems tag: 'process' class: BPProcess.	
	self fillItems: lstItems tag: 'wsdl:definitions' class: BPWSDLDefinition.
	self fillItems: lstItems tag: 'definitions' class: BPWSDLDefinition.
	self fillItems: lstItems tag: 'wsdl:message' class: BPWSDLMessage.	
	self fillItems: lstItems tag: 'message' class: BPWSDLMessage.	
	self fillItems: lstItems tag: 'wsdl:part' class: BPWSDLPart.	
	self fillItems: lstItems tag: 'part' class: BPWSDLPart.	
	self fillItems: lstItems tag: 'wsdl:types' class: BPWSDLTypes.
	self fillItems: lstItems tag: 'types' class: BPWSDLTypes.
	self fillItems: lstItems tag: 'wsdl:portType' class: BPWSDLPortType.
	self fillItems: lstItems tag: 'portType' class: BPWSDLPortType.
	self fillItems: lstItems tag: 'wsdl:schema' class: BPXSDSchema.
	self fillItems: lstItems tag: 'schema' class: BPXSDSchema.
	self fillItems: lstItems tag: 'wsdl:import' class: BPXSDImport.
	self fillItems: lstItems tag: 'import' class: BPXSDImport.
	self fillItems: lstItems tag: 'plnk:role' class: BPWSDLPlnkRole.
	
	
	"wsdl for bpel"	
	self copyList:lstItems with:'wsdl:'.
	"bpws:property
	bpws:propertyAlias"
	^ lstItems
	! !

!BPParserWSDLTagsXMLRef class methodsFor: 'resetting' stamp: 'AlvaroJosePeraltaOcampo 7/2/2014 17:31'!
reset
	"self reset"
	tags := nil.
	^ 'OK'! !

A4BPSOAContext subclass: #BPWSDLContext
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-WSDL-core-model-a4bp'!

!BPWSDLContext methodsFor: 'creator' stamp: 'AlvaroJosePeraltaOcampo 4/22/2015 09:15'!
getParsers
	| parsers |
	parsers := super getParsers.
	parsers add: BPParserWSDL new.
	^ parsers! !

A4BPObject subclass: #BPWSDLObject
	instanceVariableNames: 'myWSDL fileName fullPath'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-WSDL-core-model'!

!BPWSDLObject commentStamp: 'AlvaroJosePeraltaOcampo 4/7/2014 14:54' prior: 0!
A BPWSDLObject is base of representation of entity who.
 represent a wsdl elements!

BPWSDLObject subclass: #BPWSDLBinding
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-WSDL-core-model'!

!BPWSDLBinding methodsFor: 'visitor' stamp: 'AlvaroJosePerltaOcampo 6/2/2014 10:38'!
accept: aVisitor
	^ aVisitor visitBPWSDLBinding:self.! !

BPWSDLObject subclass: #BPWSDLDefinition
	instanceVariableNames: 'targetNamespace lstPartnertLinkTypes lstXmlns types lstMessages lstPortTypes'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-WSDL-core-model'!

!BPWSDLDefinition class methodsFor: 'builder' stamp: 'AlvaroJosePeraltaOcampo 6/21/2014 21:23'!
fillElementsIn: aBPObj from: document
	| visitor |
	visitor := BPBuilderSetNodesinBPWSDLDefinitionVisitor new.
	visitor element: aBPObj.
	self fillElementsIn: aBPObj from: document visitor: visitor.
	
	aBPObj targetNamespace:(document attributeAt: 'targetNamespace').

	^ aBPObj ! !

!BPWSDLDefinition methodsFor: 'visitor' stamp: 'AlvaroJosePerltaOcampo 6/2/2014 10:39'!
accept: aVisitor
	^ aVisitor visitBPWSDLDefinition: self! !

!BPWSDLDefinition methodsFor: 'adding' stamp: 'AlvaroJosePeraltaOcampo 6/21/2014 19:46'!
addMessage: aMessage
	lstMessages at: aMessage aName put: aMessage! !

!BPWSDLDefinition methodsFor: 'adding' stamp: 'AlvaroJosePeraltaOcampo 6/21/2014 19:45'!
addPartnerLinkType: aPartnerLink
	lstPartnertLinkTypes at: aPartnerLink aName put: aPartnerLink! !

!BPWSDLDefinition methodsFor: 'adding' stamp: 'AlvaroJosePeraltaOcampo 6/21/2014 19:47'!
addPortType: aPortType
	lstPortTypes at: aPortType aName put: aPortType! !

!BPWSDLDefinition methodsFor: 'adding' stamp: 'AlvaroJosePeraltaOcampo 7/2/2014 17:16'!
addType: aType
	types := aType! !

!BPWSDLDefinition methodsFor: 'build-relations' stamp: 'AlvaroJosePeraltaOcampo 4/22/2015 10:37'!
buildRelations: aModel
	! !

!BPWSDLDefinition methodsFor: 'build-relations' stamp: 'AlvaroJosePeraltaOcampo 7/2/2014 18:47'!
buildRelationsBpXSDSchema: aBPXSDSchema
	types ~= nil
		ifTrue: [ types buildRelationsBpXSDSchema: aBPXSDSchema ]! !

!BPWSDLDefinition methodsFor: 'build-relations' stamp: 'AlvaroJosePeraltaOcampo 4/22/2015 08:52'!
findDefType: aDefType
	| col |
	col := OrderedCollection new.
	col addAll: lstMessages.
	types ifNotNil:[col add: types].
	col
		do: [ :m | 
			| def |
			def := m findDefType: aDefType.
			def isBPEmtyObj
				ifFalse: [ ^ def ] ].
	^ A4BPEmptyObj instance! !

!BPWSDLDefinition methodsFor: 'questions' stamp: 'AlvaroJosePeralta 1/27/2014 16:19'!
haveLazyRefLikeAt: aRef
	lstPartnertLinkTypes
		do: [ :plnkType | 
			(plnkType isARefOf: aRef)
				ifTrue: [ ^ true ] ].
	^ false! !

!BPWSDLDefinition methodsFor: 'initialization' stamp: 'AlvaroJosePeraltaOcampo 6/21/2014 19:39'!
initialize
	super initialize.
	lstPartnertLinkTypes := Dictionary new.
	lstXmlns:= Dictionary new.
	lstTypes:= Dictionary new.
	lstMessages:= Dictionary new.
	lstPortTypes:= Dictionary new.! !

!BPWSDLDefinition methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 6/21/2014 19:40'!
lstMessages
	^ lstMessages ! !

!BPWSDLDefinition methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 6/21/2014 19:40'!
lstMessages: aMessages
	^ lstMessages := aMessages! !

!BPWSDLDefinition methodsFor: 'getset' stamp: 'AlvaroJosePeralta 1/25/2014 19:46'!
lstPartnertLinkTypes
^	lstPartnertLinkTypes! !

!BPWSDLDefinition methodsFor: 'getset' stamp: 'AlvaroJosePeralta 1/25/2014 19:46'!
lstPartnertLinkTypes: alstPartnertLinkTypes
 lstPartnertLinkTypes := alstPartnertLinkTypes.! !

!BPWSDLDefinition methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 6/21/2014 19:41'!
lstPortTypes
	^ lstPortTypes! !

!BPWSDLDefinition methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 6/21/2014 19:41'!
lstPortTypes: aPortTypes
	^ lstPortTypes := aPortTypes! !

!BPWSDLDefinition methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 7/6/2014 21:40'!
lstTypes
	^ types lstSchemas! !

!BPWSDLDefinition methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 4/22/2015 08:53'!
partnertLinkTypeByName: aPlkName
	|rel|
	[ rel := lstPartnertLinkTypes at: aPlkName ]
		on: KeyNotFound
		do: [ ^ A4BPEmptyObj instance ].
	^ rel! !

!BPWSDLDefinition methodsFor: 'getset' stamp: 'AlvaroJosePeralta 1/24/2014 17:32'!
targetNamespace
^ targetNamespace! !

!BPWSDLDefinition methodsFor: 'getset' stamp: 'AlvaroJosePeralta 1/24/2014 17:32'!
targetNamespace:ptargetNamespace
 targetNamespace :=ptargetNamespace.! !

BPWSDLObject subclass: #BPWSDLDocumentation
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-WSDL-core-model'!

!BPWSDLDocumentation methodsFor: 'visitor' stamp: 'AlvaroJosePerltaOcampo 6/2/2014 10:39'!
accept: aVisitor
	^ aVisitor visitBPWSDLDocumentation: self! !

BPWSDLObject subclass: #BPWSDLElement
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-WSDL-core-model'!

!BPWSDLElement methodsFor: 'visitor' stamp: 'AlvaroJosePerltaOcampo 6/2/2014 10:39'!
accept: aVisitor
	^ aVisitor visitBPWSDLElement: self! !

BPWSDLObject subclass: #BPWSDLMessage
	instanceVariableNames: 'bpWsdlPart'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-WSDL-core-model'!

!BPWSDLMessage class methodsFor: 'builder' stamp: 'AlvaroJosePerltaOcampo 6/2/2014 12:57'!
fillElementsIn: aBPObj from: document
	| visitor |
	visitor := BPBuilderSetNodesinBPWSDLMessageVisitor new.
	visitor element: aBPObj.
	self fillElementsIn: aBPObj from: document visitor: visitor.
	^ aBPObj! !

!BPWSDLMessage methodsFor: 'visitor' stamp: 'AlvaroJosePerltaOcampo 6/2/2014 10:40'!
accept: aVisitor
	^ aVisitor visitBPWSDLMessage: self! !

!BPWSDLMessage methodsFor: 'getset' stamp: 'AlvaroJosePerltaOcampo 6/2/2014 12:59'!
bpWsdlPart
	^ bpWsdlPart! !

!BPWSDLMessage methodsFor: 'getset' stamp: 'AlvaroJosePerltaOcampo 6/2/2014 12:59'!
bpWsdlPart: aModel
	bpWsdlPart := aModel! !

!BPWSDLMessage methodsFor: 'build-relations' stamp: 'AlvaroJosePeraltaOcampo 4/22/2015 08:52'!
findDefType: aDef
	aDef element = aName
		ifTrue: [ 
			| newDef |
			newDef :=BPGenericType newGenericType: bpWsdlPart.
			^ myWSDL findDefTypeInXSD: newDef ].
	^ A4BPEmptyObj instance.! !

!BPWSDLObject class methodsFor: 'parser' stamp: 'AlvaroJosePeraltaOcampo 6/10/2014 09:52'!
fillElementsIn: aBPObject from: document visitor: visitor
	self fillElementsIn: aBPObject from: document visitor: visitor tagRef:BPParserWSDLTagsXMLRef! !

!BPWSDLObject methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 6/10/2014 09:20'!
accept: aVisitor
	^ aVisitor visitBPWSDLObject: self! !

!BPWSDLObject methodsFor: 'accessing' stamp: 'AlvaroJosePeraltaOcampo 4/22/2015 10:31'!
fileName
	^ fileName! !

!BPWSDLObject methodsFor: 'accessing' stamp: 'AlvaroJosePeraltaOcampo 4/22/2015 10:31'!
fileName: anObject
	fileName := anObject! !

!BPWSDLObject methodsFor: 'accessing' stamp: 'AlvaroJosePeraltaOcampo 4/22/2015 10:31'!
fullPath
	^ fullPath! !

!BPWSDLObject methodsFor: 'accessing' stamp: 'AlvaroJosePeraltaOcampo 4/22/2015 10:31'!
fullPath: anObject
	fullPath := anObject! !

!BPWSDLObject methodsFor: 'accessing' stamp: 'AlvaroJosePeraltaOcampo 4/22/2015 10:31'!
myWSDL: anObject
	^ myWSDL := anObject! !

!BPWSDLObject methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/30/2014 13:04'!
parent: aParent
	super parent: aParent.
	[ myWSDL := aParent wsdl ]
		on: Error
		do: [  ]! !

!BPWSDLObject methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 6/21/2014 21:13'!
wsdl
	^ myWSDL! !

BPWSDLObject subclass: #BPWSDLOperation
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-WSDL-core-model'!

!BPWSDLOperation methodsFor: 'visitor' stamp: 'AlvaroJosePerltaOcampo 6/2/2014 10:40'!
accept: aVisitor
	^ aVisitor visitBPWSDLOperation: self! !

BPWSDLObject subclass: #BPWSDLPart
	instanceVariableNames: 'element bpWSDLElement'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-WSDL-core-model'!

!BPWSDLPart class methodsFor: 'builder' stamp: 'AlvaroJosePeraltaOcampo 4/22/2015 10:29'!
fillElementsIn: aBPObj from: document
	| visitor |
	visitor := BPBuilderSetNodesinBPWSDLPartVisitor new.
	visitor element: aBPObj.
	self fillElementsIn: aBPObj from: document visitor: visitor.
	aBPObj element: (document attributeAt: BPBPELParserTagsXMLRef atrElement).
	^ aBPObj! !

!BPWSDLPart methodsFor: 'visitor' stamp: 'AlvaroJosePerltaOcampo 6/2/2014 10:41'!
accept: aVisitor
	^ aVisitor visitBPWSDLPart: self! !

!BPWSDLPart methodsFor: 'getset' stamp: 'AlvaroJosePerltaOcampo 6/3/2014 11:41'!
element
	^ element! !

!BPWSDLPart methodsFor: 'getset' stamp: 'AlvaroJosePerltaOcampo 6/3/2014 11:41'!
element: aElement
	element := aElement! !

!BPWSDLPart methodsFor: 'build-relations' stamp: 'AlvaroJosePeraltaOcampo 6/21/2014 21:29'!
findDefType: aDef
	| array |
	"Example: element='client:process'"
	array := element subStrings: ':'.
	aDef element = (array at: 2)
		ifTrue: [ 
			aDef prefix: (array at: 1).
			^ myWSDL findDefTypeInXSD: aDef ].
	^ nil! !

!BPWSDLPart methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 7/2/2014 09:36'!
stType
	^ element! !

BPWSDLObject subclass: #BPWSDLPlnkRole
	instanceVariableNames: 'portType'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-WSDL-core-model'!

!BPWSDLPlnkRole class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 6/9/2014 15:13'!
fillElementsIn: aBPObj from: document
	"The argument is a complete description of an XML process"

	|  xmlDescPlnkRole |
	
	"****partnerlinkExample****"
	"
	<plnk:partnerLinkType name="	"getIncomingMessageFromJMSWSDL"	">
      <!!-- A partner link type is automatically generated when a new port type is added. Partner link types are used by BPEL processes.  In a BPEL process, a partner link represents the interaction between the BPEL process and a partner service. Each partner link is associated with a partner link type. A partner link type characterizes the conversational relationship between two services. The partner link type can have one or two roles.-->
        <plnk:role name="	"JMSInPortTypeRole"	" portType="	"tns:JMSInPortType"	"/>
    </plnk:partnerLinkType>"
	aBPObj aName: (document attributeAt:'name').
	aBPObj portType: (document attributeAt:'portType').
	^ aBPObj! !

!BPWSDLPlnkRole methodsFor: 'visitor' stamp: 'AlvaroJosePerltaOcampo 6/2/2014 10:41'!
accept: aVisitor
	^ aVisitor visitBPWSDLPlnkRole: self! !

!BPWSDLPlnkRole methodsFor: 'getset' stamp: 'AlvaroJosePeralta 1/24/2014 18:57'!
portType
^ portType! !

!BPWSDLPlnkRole methodsFor: 'getset' stamp: 'AlvaroJosePeralta 1/24/2014 18:58'!
portType: pportType
	portType := pportType! !

BPWSDLObject subclass: #BPWSDLPlnkType
	instanceVariableNames: 'role'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-WSDL-core-model'!

!BPWSDLPlnkType class methodsFor: 'builder' stamp: 'AlvaroJosePerltaOcampo 6/2/2014 11:44'!
fillElementsIn: aBPObj from: document
	| visitor |
	visitor := BPBuilderSetNodesinBPWSDLPlnkTypeVisitor new.
	visitor element: aBPObj.
	self fillElementsIn: aBPObj from: document visitor: visitor.
	^ aBPObj! !

!BPWSDLPlnkType methodsFor: 'visitor' stamp: 'AlvaroJosePerltaOcampo 6/2/2014 10:41'!
accept: aVisitor
	^ aVisitor visitBPWSDLPlnkType: self! !

!BPWSDLPlnkType methodsFor: 'references' stamp: 'AlvaroJosePeralta 1/25/2014 20:02'!
doYouHaveRoleNameAt: aRoleName
	^ role aName = aRoleName! !

!BPWSDLPlnkType methodsFor: 'references' stamp: 'AlvaroJosePeralta 1/25/2014 19:56'!
isARefOf: aRef
	^ aRef isARefOfWSDLPlnkType: self! !

!BPWSDLPlnkType methodsFor: 'getset' stamp: 'AlvaroJosePeralta 1/24/2014 18:32'!
role
^ role! !

!BPWSDLPlnkType methodsFor: 'getset' stamp: 'AlvaroJosePeralta 1/24/2014 18:32'!
role:pRole
 role:=pRole! !

BPWSDLObject subclass: #BPWSDLPort
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-WSDL-core-model'!

!BPWSDLPort methodsFor: 'visitor' stamp: 'AlvaroJosePerltaOcampo 6/2/2014 10:42'!
accept: aVisitor
	^ aVisitor visitBPWSDLPort: self! !

BPWSDLObject subclass: #BPWSDLPortType
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-WSDL-core-model'!

!BPWSDLPortType methodsFor: 'visitor' stamp: 'AlvaroJosePerltaOcampo 6/2/2014 10:42'!
accept: aVisitor
	^ aVisitor visitBPWSDLPortType: self! !

BPWSDLObject subclass: #BPWSDLService
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-WSDL-core-model'!

!BPWSDLService methodsFor: 'visitor' stamp: 'AlvaroJosePerltaOcampo 6/2/2014 10:42'!
accept: aVisitor
	^ aVisitor visitBPWSDLService: self! !

BPWSDLObject subclass: #BPWSDLTypes
	instanceVariableNames: 'lstSchemas'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-WSDL-core-model'!

!BPWSDLTypes class methodsFor: 'builder' stamp: 'AlvaroJosePerltaOcampo 6/2/2014 13:17'!
fillElementsIn: aBPObj from: document
	| visitor |
	visitor := BPBuilderSetNodesinBPWSDLTypesVisitor new.
	visitor element: aBPObj.
	self fillElementsIn: aBPObj from: document visitor: visitor.
	^ aBPObj! !

!BPWSDLTypes methodsFor: 'visitor' stamp: 'AlvaroJosePerltaOcampo 6/2/2014 10:43'!
accept: aVisitor
	^ aVisitor visitBPWSDLTypes: self! !

!BPWSDLTypes methodsFor: 'build-relations' stamp: 'AlvaroJosePeraltaOcampo 7/3/2014 09:45'!
addRelation: aRel
	myWSDL addRelation: aRel! !

!BPWSDLTypes methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 7/2/2014 18:38'!
addSchema: aXSDSchema
	lstSchemas at: aXSDSchema namespace put:aXSDSchema ! !

!BPWSDLTypes methodsFor: 'build-relations' stamp: 'AlvaroJosePeraltaOcampo 7/2/2014 17:44'!
buildRelationsBpXSDSchema: aBPXSDSchema
	lstSchemas do: [ :xsd | xsd buildRelationsBpXSDSchema: aBPXSDSchema ]! !

!BPWSDLTypes methodsFor: 'build-relations' stamp: 'AlvaroJosePeraltaOcampo 4/22/2015 08:52'!
findDefType: aDefType
	lstSchemas
		do: [ :schema | 
			| def |
			def := schema findDefType: aDefType.
			def isBPEmtyObj
				ifFalse: [ ^ def ] ].
	^ A4BPEmptyObj instance! !

!BPWSDLTypes methodsFor: 'initialization' stamp: 'AlvaroJosePeraltaOcampo 7/2/2014 10:04'!
initialize
	super initialize.
	lstSchemas := Dictionary new.! !

!BPWSDLTypes methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 7/2/2014 10:05'!
lstSchemas
	lstSchemas ! !

BPWSDLObject subclass: #BPWSDLWsdl
	uses: TBPRelations
	instanceVariableNames: 'wsdlDefinition bpRelations nsNameSpaces callRelations implementRelations'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-WSDL-core-model'!

BPWSDLWsdl class
	uses: TBPRelations classTrait
	instanceVariableNames: ''!

!BPWSDLWsdl class methodsFor: 'builder' stamp: 'AlvaroJosePeraltaOcampo 4/22/2015 10:44'!
fillElementsIn: aBPWSDLWsdl from: document
	|wsdlDef|
	wsdlDef :=BPWSDLDefinition fromXMLDescription: document in: aBPWSDLWsdl.
	aBPWSDLWsdl wsdlDefinition: wsdlDef.
	aBPWSDLWsdl nsNameSpaces: document nameSpaces.
! !

!BPWSDLWsdl class methodsFor: 'builder' stamp: 'AlvaroJosePerltaOcampo 6/2/2014 11:51'!
fromXMLDescription: document
	"The argument is a complete description of an XML process"
	| wsdl |
	"is an instante of on WSDLWsdl"
	wsdl := self new.
	self fillBData: document in: wsdl.
	self fillElementsIn: wsdl from: document.
	^ wsdl! !

!BPWSDLWsdl methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 10/28/2014 14:20'!
aName
	aName = ''
		ifTrue: [ ^ self fileName ];
		ifFalse: [ ^ aName ]! !

!BPWSDLWsdl methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 5/14/2014 08:55'!
accept: aVisitor
	^ aVisitor visitBPWSDLwsdl:self.! !

!BPWSDLWsdl methodsFor: 'adding' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 22:03'!
addCallRelation: aRelation
	callRelations addRelation: aRelation ! !

!BPWSDLWsdl methodsFor: 'adding' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 22:03'!
addImplementRelation: aRelation
	implementRelations addRelation: aRelation ! !

!BPWSDLWsdl methodsFor: 'adding' stamp: 'AlvaroJosePeraltaOcampo 6/7/2014 06:17'!
addRelation: aRelation
	bpRelations addRelation: aRelation ! !

!BPWSDLWsdl methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 6/7/2014 06:18'!
allRelations
	^ bpRelations lstRelations! !

!BPWSDLWsdl methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 10/28/2014 14:22'!
asString
	^ self aName! !

!BPWSDLWsdl methodsFor: 'accessing' stamp: 'AlvaroJosePeraltaOcampo 4/22/2015 10:42'!
bpRelations
	^ bpRelations! !

!BPWSDLWsdl methodsFor: 'accessing' stamp: 'AlvaroJosePeraltaOcampo 4/22/2015 10:42'!
bpRelations: anObject
	bpRelations := anObject! !

!BPWSDLWsdl methodsFor: 'build-relations' stamp: 'AlvaroJosePeralta 1/25/2014 22:28'!
buildRelations: aRelation
	aRelation buildRelationsBpWsdls: self.
! !

!BPWSDLWsdl methodsFor: 'build-relations' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 21:55'!
buildRelationsBpPartnerLink: aRelBpPartnerLink
	"If I have a rel with bpPnlk finish"
	(aRelBpPartnerLink haveLazyRefLikeAt: self)
		ifFalse: [ ^ self ].
	self addRelation: aRelBpPartnerLink bpProcess.
	self addRelation: aRelBpPartnerLink.
	aRelBpPartnerLink buildRelationsBpWsdls: self! !

!BPWSDLWsdl methodsFor: 'build-relations' stamp: 'AlvaroJosePeralta 1/28/2014 18:24'!
buildRelationsBpProcess: aRelation
	"the responsability of builRelations is of the process"

	aRelation buildRelationsBpWsdls: self! !

!BPWSDLWsdl methodsFor: 'build-relations' stamp: 'AlvaroJosePeralta 1/27/2014 16:23'!
buildRelationsBpWsdls: aRelation
"nothing to do because a relation between wsdls does not make sense for now"! !

!BPWSDLWsdl methodsFor: 'build-relations' stamp: 'AlvaroJosePeraltaOcampo 7/3/2014 09:20'!
buildRelationsBpXSDSchema: aBPXSDSchema
	"find if the xsdSChema have the nameSpace in the reference of the wsdl"
	[ 
	nsNameSpaces at: aBPXSDSchema targetNamespace.
	bpRelations addRelation: aBPXSDSchema ]
		on: KeyNotFound
		do: [ 
	"when the name space don found in the lst of namespaces is posible that have bean import as a alias in the types"
			self wsdlDefinition buildRelationsBpXSDSchema: aBPXSDSchema.
			 ]! !

!BPWSDLWsdl methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 22:05'!
callRelations
	^ callRelations lstRelations! !

!BPWSDLWsdl methodsFor: 'accessing' stamp: 'AlvaroJosePeraltaOcampo 4/22/2015 10:42'!
callRelations1
	^ callRelations! !

!BPWSDLWsdl methodsFor: 'accessing' stamp: 'AlvaroJosePeraltaOcampo 4/22/2015 10:42'!
callRelations: anObject
	callRelations := anObject! !

!BPWSDLWsdl methodsFor: 'build-relations' stamp: 'AlvaroJosePeraltaOcampo 6/21/2014 20:29'!
findDefType: aDefType
	^ wsdlDefinition findDefType: aDefType! !

!BPWSDLWsdl methodsFor: 'private' stamp: 'AlvaroJosePeraltaOcampo 4/22/2015 08:52'!
findDefTypeInXSD: aDef
	"this private method is to find for each xsd schema relations the definition"

	| lstSchema def |
	def := A4BPEmptyObj instance.
	lstSchema := self lstRelations select: [ :rel | rel class = BPXSDSchema ].
	lstSchema
		do: [ :xsd | 
			def := xsd findDefType: aDef.
			def isBPEmtyObj
				ifFalse: [ ^ def ] ].
	^ def! !

!BPWSDLWsdl methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 6/7/2014 06:19'!
getChildrenNodes
	| nodes |
	nodes := OrderedCollection new.
	nodes add: bpRelations.
	^ nodes! !

!BPWSDLWsdl methodsFor: 'getset' stamp: ''!
getRelationAt: aRelation
	^ self getRelationAtName: aRelation aName! !

!BPWSDLWsdl methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 4/22/2015 08:53'!
getRelationAtName: pName
	| rel |
	[ rel := self lstRelations at: pName ]
		on: KeyNotFound
		do: [ ^ A4BPEmptyObj instance ].
	^ rel! !

!BPWSDLWsdl methodsFor: 'question' stamp: 'AlvaroJosePeralta 1/25/2014 19:31'!
haveLazyRefLikeAt: aRef
	^ wsdlDefinition haveLazyRefLikeAt: aRef
	! !

!BPWSDLWsdl methodsFor: 'question' stamp: ''!
iHaveaRelationOf: aRelation
	^ (self getRelationAt: aRelation ) = aRelation.! !

!BPWSDLWsdl methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 22:06'!
implementRelations
	^ implementRelations lstRelations! !

!BPWSDLWsdl methodsFor: 'accessing' stamp: 'AlvaroJosePeraltaOcampo 4/22/2015 10:42'!
implementRelations1
	^ implementRelations! !

!BPWSDLWsdl methodsFor: 'accessing' stamp: 'AlvaroJosePeraltaOcampo 4/22/2015 10:42'!
implementRelations: anObject
	implementRelations := anObject! !

!BPWSDLWsdl methodsFor: 'initialization' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 22:02'!
initialize
	super initialize.
	bpRelations  := BPRelationsElementsInBPObject new.
	callRelations := BPRelationsElementsInBPObject new.
	implementRelations := BPRelationsElementsInBPObject new.
	nsNameSpaces := Dictionary new.
	fileName:=''.
	myWSDL:= self.! !

!BPWSDLWsdl methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 6/9/2014 13:20'!
label
	^ aName , '>' , self fileName! !

!BPWSDLWsdl methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 6/9/2014 15:52'!
lstRelations
	^ bpRelations lstRelations! !

!BPWSDLWsdl methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 6/21/2014 11:53'!
nsNameSpaces
	^ nsNameSpaces! !

!BPWSDLWsdl methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 7/2/2014 17:48'!
nsNameSpaces: aDictionary
	nsNameSpaces := aDictionary! !

!BPWSDLWsdl methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 6/8/2014 00:26'!
targetNamespace
	^ wsdlDefinition targetNamespace! !

!BPWSDLWsdl methodsFor: 'getset' stamp: 'AlvaroJosePeralta 1/24/2014 15:34'!
wsdlDefinition
^	wsdlDefinition! !

!BPWSDLWsdl methodsFor: 'accessing' stamp: 'AlvaroJosePeraltaOcampo 4/22/2015 10:42'!
wsdlDefinition1: anObject
	wsdlDefinition := anObject! !

!BPWSDLWsdl methodsFor: 'getset' stamp: 'AlvaroJosePeralta 1/25/2014 13:04'!
wsdlDefinition: pwsdlDefinition
	wsdlDefinition :=pwsdlDefinition.
	aName:=(wsdlDefinition aName).! !

A4BPAbstractParser subclass: #BPParserWSDL
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-WSDL-core-parser'!

!BPParserWSDL commentStamp: '<historical>' prior: 0!
Represent the  parser to provide a PBWSDL Object to manipulate in 
BPEL process analisys!

!BPParserWSDL class methodsFor: 'parser' stamp: 'AlvaroJosePeralta 1/24/2014 16:53'!
parseString: string
	^ self new parseString: string! !

!BPParserWSDL methodsFor: 'adding' stamp: 'AlvaroJosePeraltaOcampo 4/22/2015 16:40'!
addInContext: context
	|wsdls|
	wsdls := self elements collect:[ :e |
		|wsdl|
		wsdl := BPWSDLWsdl new.
		wsdl wsdlDefinition: e.
		wsdl nsNameSpaces: e myDocument nameSpaces.
		wsdl
		].
	context addAllElements: wsdls.! !

!BPParserWSDL methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/30/2014 12:57'!
filePrefix
	^ '.wsdl'! !

!BPParserWSDL methodsFor: 'impl' stamp: 'AlvaroJosePerltaOcampo 6/3/2014 10:14'!
getBaseElement
	^ BPWSDLWsdl! !

!BPParserWSDL methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/22/2015 10:44'!
getTagRef
	^ BPParserWSDLTagsXMLRef! !

!BPParserWSDL methodsFor: 'initialization' stamp: 'AlvaroJosePerltaOcampo 6/3/2014 10:13'!
initialize
	super initialize.! !

!BPParserWSDL methodsFor: 'impl' stamp: 'AlvaroJosePeraltaOcampo 6/7/2014 05:45'!
lstOfTag
	| tags |
	tags := OrderedCollection new.
	tags add:'definitions'.
	"tags add:'wsdl:definitions'."
	^ tags! !

!BPParserWSDL methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 6/9/2014 12:45'!
lstWsdl
	^ lstElements! !

!BPParserWSDL methodsFor: 'metric' stamp: 'AlvaroJosePerltaOcampo 6/3/2014 10:13'!
numberOfDefinedWSDLs
	^ self numberOfElements.! !
